P2PQueryProcessorConfiguration
Keywords: uk.ac.ic.doc.automed.qproc.P2PQueryProcessorConfiguration class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.qproc
Class P2PQueryProcessorConfiguration

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.QueryProcessorConfiguration
          uk.ac.ic.doc.automed.qproc.P2PQueryProcessorConfiguration

    public class P2PQueryProcessorConfiguration

extends QueryProcessorConfiguration

QueryProcessingConfiguration.java A global configuration class that encapsulates different aspects of a query processing 'process'
Each phase in query processing can provide their own configuration class as long as it extends this class.

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 01 August 2006 Department of Computing, Imperial College

Field Summary
`static int` | `CACHE_EVAL`
`static int` | `CACHE_OPTI`
`static int` | `CACHE_REFO`

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.QueryProcessorConfiguration
`QUERY_LANGUAGE_IQL, QUERY_LANGUAGE_XQUERY, RANGE_BOTH, RANGE_LOWER, RANGE_UPPER, REFORMULATION_BAV, REFORMULATION_GAV, REFORMULATION_LAV_INV_RULES`

Constructor Summary
`P2PQueryProcessorConfiguration()` Creates a new instance of QueryProcessingConfiguration

Method Summary

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.QueryProcessorConfiguration
`addFunctionTable, addFunctionTable, getAnnotator, getCacheStatus, getDisjointIDs, getEvaluator, getFunctionTable, getFunctionTableString, getOptimisationState, getOptimiser, getQualityIndicator, getQueryEvaluationConfig, getQueryLanguage, getQueryLanguageString, getRangeSemantics, getRangeSemanticsString, getRangeSemanticsString, getReformulationSemantics, getReformulationSemanticsString, getReformulator, getTypeCheckingState, printConfiguration, setAnnotator, setCacheStatus, setDisjointIDs, setEvaluator, setOptimisationState, setOptimiser, setQualityIndicator, setQueryEvaluationConfig, setQueryLanguage, setRangeSemantics, setReformulationSemantics, setReformulator, setTypeCheckingState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHE_REFO

    public static final int CACHE_REFO

See Also:
  Constant Field Values

### CACHE_OPTI

    public static final int CACHE_OPTI

See Also:
  Constant Field Values

### CACHE_EVAL

    public static final int CACHE_EVAL

See Also:
  Constant Field Values

Constructor Detail

### P2PQueryProcessorConfiguration

    public P2PQueryProcessorConfiguration()

  Creates a new instance of QueryProcessingConfiguration

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD